# $Revision: 1.38 $, $Date: 2008/07/27 22:33:05 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Memo
Summary:	Devel::Memo - memoize function calls
Summary(pl.UTF-8):	Devel::Memo - zapamiętujący wywołania funkcji
Name:		perl-Devel-Memo
Version:	0.004
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8bb2fee3416368db795555feee4261a8
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-Test-Helper
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::Memo permits you to create function objects (i.e. blessed
code-refs which can be bound to subroutine cells) which are called
exactly like a regular subroutine (which you supply), but which
memoize their arguments and results with each invocation, so that
unnecessary recomputation is avoided. Internally, the FreezeThaw
module is used to assist in the caching.

%description -l pl.UTF-8
Moduł Devel::Memo umożliwia tworzenie obiektów funkcji (czyli
pobłogosławionych code-refs, które mogą być przypisane do komórek
procedur), które są wywoływane dokładnie tak jak normalne procedury
(które się podaje), ale przy każdym wywołaniu zapamiętują parametry i
wyniki, zapobiegając niepotrzebnym ponownym obliczeniom. Wewnętrznie
używany jest moduł FreezeThaw, pomagający przy buforowaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES
%{perl_vendorlib}/Devel/Memo.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Memo.spec,v $
Revision 1.38  2008/07/27 22:33:05  arekm
- release 13

Revision 1.37  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:18  paladine
- formatting

Revision 1.34  2004/05/07 01:04:48  ankry
- rel. 12

Revision 1.33  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 00:04:05  ankry
- tests added

Revision 1.31  2004/04/20 10:45:25  ankry
- license fixes/unufication

Revision 1.30  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.29  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:42  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:34  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:31:30  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/10/03 11:08:21  qboosh
- pl description, release 10

Revision 1.20  2002/09/21 20:58:57  radek
- informative description
- added tests (default off, perl-Test-Helper not packaged yet)
- release 9

Revision 1.19  2002/09/20 20:05:02  radek
- more informative summary, new %doc

Revision 1.18  2002/07/10 08:47:01  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:58  depesz
- cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:11:33  depesz
- automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:32  depesz
- adapterized

Revision 1.12  2002/01/18 02:14:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:01  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/31 00:45:38  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
